#no-charts-explanation {
  margin: 40px 0;
  font-size: 18px;
  font-weight: 600;
}

.volcanic-ash-heading {
  border-bottom: 1px solid var(--data-page-grey-border);
  min-height: 3rem;
  padding-bottom: 1.5rem;
}

.test-data-message {
  color: #0f79be;
  border-color: #0f79be #0f79be #0f79be currentColor;
  border-left-style: solid;
  border-left-width: 8px;
  margin: 24px 0;
  padding: 16px 8px 8px 24px;
  font-size: 20px;
  font-weight: bold;
}

.volcanic-ash-content .content-container {
  width: calc(100vw - 32px);
  padding: 16px;
}

.chart-links {
  flex-direction: column;
  margin-bottom: 24px;
  display: flex;
}

.chart-links a {
  font-size: 1.25em;
}

.volcanic-ash-content .preview-block .item {
  height: fit-content;
}

.volcanic-ash-content #learn-articles-heading {
  padding-top: 2rem;
}

.volcanic-ash-chart {
  margin-bottom: 64px;
}

.volcanic-ash-chart-image {
  border: 1px solid #ddd;
  grid-area: image;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: 100%;
  display: flex;
  position: relative;
  overflow: hidden;
}

.volcanic-ash-chart-image img.volcanic-ash-image {
  opacity: 0;
  width: 100%;
  height: fit-content;
  transition: opacity .3s;
  position: relative;
  top: 0;
  left: 0;
}

.no-js .volcanic-ash-chart-image img.volcanic-ash-image {
  opacity: 1;
}

.chart-and-flight-levels {
  grid-template: "image flight-level-buttons" 1fr
                 "timestep-buttons br"
                 / 1fr auto;
  display: grid;
}

.chevron-left-circle, .chevron-right-circle, .chevron-up-circle, .chevron-down-circle {
  vertical-align: middle;
  background: url("../../../images/volcanic-ash/icons/chevron-right-circle.svg") -.02em -.0125em / cover no-repeat;
  width: 44px;
  height: 44px;
  display: inline-block;
}

.chevron-left-circle {
  transform: rotate(180deg);
}

.chevron-up-circle {
  transform: rotate(270deg);
}

.chevron-down-circle {
  transform: rotate(90deg);
}

.chevron-left-circle:hover, .chevron-right-circle:hover, .chevron-up-circle:hover, .chevron-down-circle:hover {
  background: url("../../../images/volcanic-ash/icons/chevron-right-circle-green.svg") -.02em -.0125em / cover no-repeat;
}

.flight-level-buttons a:not([data-hx-get]), .timestep-buttons a:not([data-hx-get]) {
  pointer-events: none;
  visibility: hidden;
  cursor: not-allowed;
}

.timestep-buttons, .flight-level-buttons {
  justify-content: center;
  align-items: center;
  padding: 4px;
  display: flex;
}

.flight-level-buttons {
  flex-direction: column;
  grid-area: flight-level-buttons;
  position: relative;
}

.flight-takeoff-svg {
  padding-left: 8px;
  transform: rotate(90deg);
}

.flight-level-buttons p {
  text-align: center;
  writing-mode: vertical-rl;
  -webkit-writing-mode: vertical-rl;
  padding: 8px 4px 8px 0;
}

.timestep-buttons {
  grid-area: timestep-buttons;
  width: 100%;
  position: relative;
}

.timestep-heading p {
  padding: 4px 4px 0;
}

.clock-svg {
  padding: 6px 0 2px 4px;
}

.flight-level-heading p, .timestep-heading p {
  margin: 0;
  font-size: 24px;
  font-weight: 400;
}

.timestep-text, .flight-level-text, .timestep-heading, .flight-level-heading {
  justify-content: space-evenly;
  align-items: center;
  display: flex;
}

.timestep-text, .flight-level-heading {
  flex-direction: column;
}

.flight-level-text, .timestep-heading {
  flex-direction: row;
}

.timestep-text > p, .flight-level-text > p {
  text-align: center;
  margin: 0;
  font-size: medium;
}

.timestep-buttons button, .flight-level-buttons button {
  cursor: pointer;
  border: none;
  width: 44px;
  height: 44px;
}

.timestep-buttons button {
  margin: 0 8px;
}

.flight-level-buttons button {
  margin: 8px 0;
}

.concentration-tab {
  color: #000;
  cursor: pointer;
  background-color: #eee;
  border: none;
  border-radius: 16px;
  outline: 2px solid #000;
  width: 148px;
  margin: 0 4px;
  padding: 4px 8px;
  font-size: 1em;
  line-height: 1.25;
}

.concentration-tab.selected {
  background-color: #b9dc0c;
}

.concentration-tab:hover {
  background-color: #cbf20a;
}

.concentration-tabs {
  justify-content: center;
  margin-bottom: 16px;
  display: flex;
}

.concentration-tabs a.concentration-tab, a.concentration-tab:link:hover {
  color: #000;
  text-align: center;
  text-decoration: none;
}

@media only screen and (min-width: 480px) {
  #no-charts-explanation {
    margin: 80px 0;
    font-size: 24px;
  }

  .concentration-tab {
    margin: 0 16px;
    padding: 8px 16px;
  }

  .flight-level-buttons {
    top: 50%;
    transform: translateY(-40%);
  }

  .timestep-buttons {
    transform: translateX(3%);
  }

  .chevron-left-circle, .chevron-right-circle, .chevron-up-circle, .chevron-down-circle {
    margin: 8px;
  }
}

@media only screen and (min-width: 719px) {
  .volcanic-ash-content .preview-block .item {
    height: 320px;
  }

  .volcanic-ash-content .preview-block .item .title {
    min-height: 85px;
  }

  .chevron-left-circle, .chevron-right-circle, .chevron-up-circle, .chevron-down-circle {
    margin: 16px;
  }
}

#sp-container {
  background: #fff;
  border: 0;
  border-bottom: 1px solid #ddd;
}

#sp-container .tab-content {
  padding: 8px;
}

#sp-container ul {
  max-width: 800px;
  margin: 0 auto;
  padding: 0;
  list-style: none;
}

#sp-container ul li {
  padding: 0;
}

#sp-container ul img {
  width: 100%;
  display: block;
}

.volcanic-ash-content .controls-container {
  text-align: center;
  margin: 24px 0 16px;
}

.volcanic-ash-content .controls-container .controls {
  border: 1px solid rgba(42, 42, 42, .16);
  justify-content: center;
  align-items: center;
  display: inline-flex;
}

.volcanic-ash-content .controls-container .controls a.prev-time {
  background: none;
  border: none;
  justify-content: center;
  align-items: center;
  width: 45px;
  height: 45px;
  display: flex;
}

.volcanic-ash-content .controls-container .controls a.next-time {
  background: none;
  border: none;
  justify-content: center;
  align-items: center;
  width: 45px;
  height: 45px;
  display: flex;
}

.volcanic-ash-content .controls-container .controls button.prev-time {
  background: none;
  border: none;
  justify-content: center;
  align-items: center;
  width: 45px;
  height: 45px;
  display: flex;
}

.volcanic-ash-content .controls-container .controls button.next-time {
  background: none;
  border: none;
  justify-content: center;
  align-items: center;
  width: 45px;
  height: 45px;
  display: flex;
}

.volcanic-ash-content .controls-container .controls .prev-time {
  border-right: 1px solid rgba(42, 42, 42, .16);
}

.volcanic-ash-content .controls-container .controls .next-time {
  border-left: 1px solid rgba(42, 42, 42, .16);
}

.volcanic-ash-content .controls-container .controls button:disabled .icon {
  filter: brightness(500%);
}

.volcanic-ash-content .controls-container .controls .time {
  color: #2a2a2a;
  padding: 0 16px;
  font-size: .875em;
  display: inline-block;
}

.volcanic-ash-content .info {
  text-align: center;
  background: #f4f4f4;
  padding: 16px;
  display: block;
}

.volcanic-ash-content .info .issue-time {
  font-size: .75em;
}

@media only screen and (min-width: 720px) {
  #sp-container {
    border: 1px solid #ddd;
    border-top: 0;
  }

  #sp-container .tab-content {
    padding: 16px;
  }
}
